plot.glmnet {glmnet} | R Documentation

## plot coefficients from a "glmnet" object

### Description

Produces a coefficient profile plot of the coefficient paths for a fitted `"glmnet"` object.

### Usage

    ## S3 method for class 'glmnet'
    plot(x, xvar = c("norm", "lambda", "dev"), label = FALSE, ...)
    ## S3 method for class 'multnet'
    plot(x, xvar = c("norm", "lambda", "dev"), label = FALSE,type.coef=c("coef","2norm"), ...)
    ## S3 method for class 'mrelnet'
    plot(x, xvar = c("norm", "lambda", "dev"), label = FALSE,type.coef=c("coef","2norm"), ...)

### Arguments

`x` | fitted `"glmnet"` model
`xvar` | What is on the X-axis. `"norm"` plots against the L1-norm of the coefficients, `"lambda"` against the log-lambda sequence, and `"dev"` against the percent deviance explained.
`label` | If `TRUE`, label the curves with variable sequence numbers.
`type.coef` | If `type.coef="2norm"` then a single curve per variable, else if `type.coef="coef"`, a coefficient plot per response
`...` | Other graphical parameters to plot

### Details

A coefficient profile plot is produced. If `x` is a multinomial model, a coefficient plot is produced for each class.

### Author(s)

Jerome Friedman, Trevor Hastie and Rob Tibshirani
Maintainer: Trevor Hastie <hastie@stanford.edu>

### References

Friedman, J., Hastie, T. and Tibshirani, R. (2008) Regularization Paths for Generalized Linear Models via Coordinate Descent

### See Also

`glmnet`, and `print`, `predict` and `coef` methods.

### Examples

    x=matrix(rnorm(100*20),100,20)
    y=rnorm(100)
    g2=sample(1:2,100,replace=TRUE)
    g4=sample(1:4,100,replace=TRUE)
    fit1=glmnet(x,y)
    plot(fit1)
    plot(fit1,xvar="lambda",label=TRUE)
    fit3=glmnet(x,g4,family="multinomial")
    plot(fit3,pch=19)

[Package glmnet version 2.0-5 Index]